Versionshinweise zu VMware Tools 10.0.5

|

Aktualisiert am: 29. März 2016

VMware Tools | 24. November 2015 | Build 3227872 

Überprüfen Sie regelmäßig, ob Ergänzungen und Updates dieser Versionshinweise verfügbar sind.

Inhalt dieser Versionshinweise

Diese Versionshinweise decken die folgenden Themen ab:

Neuheiten

Die VMware Tools bestehen aus einer Reihe von Dienstprogrammen, welche die Leistung des Gastbetriebssystems der virtuellen Maschine und die Verwaltung der virtuellen Maschine verbessern. Im Folgenden finden Sie Informationen zu den neuen und erweiterten Funktionen in dieser Version.

  • Treiber und Zertifizierungen Signiertes Windows Display Driver Model (WDDM) 8.15.1.33 Grafiktreiber für VMware Tools 10.0.5
  • Behobene Probleme: In dieser Version von VMware Tools 10.0.5 wurden Probleme behoben, die im Abschnitt Behobene Probleme dokumentiert sind.

Frühere Versionen von VMware Tools

Versionshinweise zu VMware Tools 10.0.0

Vor der Installation

Wichtiger Hinweis zum Upgrade auf ESXi 5.5 Update 3b oder höher

Wenn Sie ältere Versionen von Horizon View Agent verwenden und beim Upgrade von ESXi-Hosts auf ESXi 5.5 Update 3b oder ESXi 6.0 Update 1 oder höher Kompatibilitätsprobleme auftreten oder Sie allgemeine Anweisungen benötigen, dann lesen Sie die folgenden Knowledgebase-Artikel:

Die Verbindungsherstellung mit View-Desktops über Horizon View Agent 5.3.5 oder früher schlägt bei Hosts mit ESXi 5.5 Update 3b oder höher mit einem schwarzen Bildschirm fehl.
Die Verbindungsherstellung mit View-Desktops über Horizon View Agent 6.0.x oder 6.1.x schlägt bei Hosts mit ESXi 5.5 Update 3b oder höher mit einem schwarzen Bildschirm fehl.
Die Verbindungsherstellung mit View-Desktops über Horizon View Agent 6.1.x schlägt bei Hosts mit ESXi 6.0 Update 1 oder höher mit einem schwarzen Bildschirm fehl.

Internationalisierung

VMware Tools 10.0.5 ist in den folgenden Sprachen verfügbar:

  • Englisch
  • Französisch
  • Deutsch
  • Spanisch
  • Italienisch
  • Japanisch
  • Koreanisch
  • Vereinfachtes Chinesisch
  • Traditionelles Chinesisch

Kompatibilität

VMware Tools 10.0.5 ist kompatibel mit den unterstützten Versionen von VMware vSphere ESXi 5.0 und höher, VMware Workstation 12.0 und VMware Fusion 8.0. Im VMware-Kompatibilitätshandbuch finden Sie weitere Informationen dazu.

Unterstützung der Anpassung des Gastbetriebssystems

In der Support-Matrix zur Anpassung des Gastbetriebssystems finden Sie Einzelheiten zu den Gastbetriebssystemen, deren Anpassung unterstützt wird.

Installation und Upgrades für diese Version

Die VMware Tools können von der Produkt-Download-Seite heruntergeladen werden.

Die betriebssystemspezifischen Pakete der VMware Tools lassen sich von der Seite http://packages.vmware.com/tools/releases/index.html herunterladen.

Mit den folgenden Schritten werden die VMware Tools Ihrem VMware-Produkt und dem installierten Gastbetriebssystem gemäß installiert. Erläuterungen zu den allgemeinen Schritten für die Installation der VMware Tools in den meisten VMware-Produkten finden Sie unter Allgemeine Anleitungen zur Installation von VMware Tools, KB-Artikel 1014294, oder im Handbuch Installieren und Konfigurieren von VMware Tools.

Spezielle Anleitungen zur Installation, Durchführung eines Upgrades oder Konfiguration der VMware Tools erhalten Sie auf der VMware-Seite Dokumentation.

Hinweise zu Produktunterstützung

VMware Tools 10.0.5 ermöglicht die Unterstützung von DirectX 10.0 und OpenGL 3.3 auf Windows-Gastbetriebssystemen bei der Verwendung mit VMware Workstation 12.0, VMware Fusion 8.0 und einer künftigen Version von VMware vSphere, in der das virtuelle Gerät die erforderliche Funktion unterstützt.

Behobene Probleme

  • VMware Tools reagiert beim Öffnen der Netzwerkdateisystem-Mounts nicht mehr
    Wenn Sie einen stillgelegten Snapshot auf einer virtuellen Linux-Maschine erstellen, reagiert VMware Tools beim Öffnen von Netzwerkdateisystem (NFS)-Mounts möglicherweise nicht mehr, sodass alle Dateisystemaktivitäten auf dem Gastbetriebssystem beendet werden. Sinngemäß wird folgende Fehlermeldung angezeigt und die virtuelle Maschine reagiert nicht mehr:
  • Fehler beim Speichern des Snapshots: msg.snapshot.error-QUIESCINGERROR

    Dieses Problem wurde in der vorliegenden Version behoben.

  • Telnet kann nach Installation von VMware Tools unter den Betriebssystemen Windows 8 oder Windows Server 2012 nicht geöffnet werden
    Nach dem Installieren von VMware Tools unter den Gastbetriebssystemen Windows 8 oder Windows Server 2012 schlagen Versuche, telnet mit dem Befehl „start telnet://xx.xx.xx.xx“ aufzurufen, mit der folgenden Fehlermeldung fehl:
    Stellen Sie sicher, dass die Konfiguration der virtuellen Maschine dem Gast erlaubt, Host-Anwendungen zu öffnen.

    Dieses Problem wurde in der vorliegenden Version behoben.

  • Das Neustarten oder Herunterfahren kann in Linux-Systemen mit Kernel-Versionen vor Version 3.9 zu einem Kernel-Problem führen
    Das Neustarten oder Herunterfahren des Gastbetriebssystems kann in RHEL-Betriebssystemen mit Kernel-Versionen vor Version 3.9 zu einem Kernel-Problem führen.
  • Dieses Problem wurde in der vorliegenden Version behoben.

  • vmusr übermittelt ein Protokollproblem („Log Spew“) mit einer Fehlermeldung
    vmusr übermittelt ein Protokollproblem von VMware Tools. Im Windows-Anwendungsereignisprotokoll kann die folgende Warnungsfehlermeldung mehrmals rasch aufeinanderfolgend enthalten sein:

  • "[ Warnung] [vmusr:vmusr] SimpleSock: Socket # beendet durch Peer."

    Dieses Problem wurde in der vorliegenden Version behoben.

  • Auf dem Mac OS X-Gastbetriebssystem kann für VMware Tools kein Upgrade durchgeführt werden
    Die Durchführung eines Upgrades von VMware Tools auf dem Mac OS X-Gastbetriebssystem ist nicht möglich. Es erscheint (sinngemäß) folgende Fehlermeldung:

  • „Installation konnte nicht durchgeführt werden“

    Dieses Problem wurde in der vorliegenden Version behoben.

Bekannte Probleme

Die bekannten Probleme lassen sich folgendermaßen zusammenfassen:

  • Versuch der Verbindungsherstellung zum View-Desktop führt zu einem schwarzen Bildschirm
    Beim Upgrade von VMware vSphere auf Version 6.0 Update 1, von VMware Tools auf die aktuellste Version für View-Desktops und der Installation der älteren Version von View Agent finden Sie in den PCOIP-Protokollen von View Agent unter Laufwerksbuchstabe:\ProgramData\VMware\VDM\logs eventuell eine Fehlermeldung in der folgenden Art:
    LVL:0 RC:0 IMG_FRONTEND :Calling open display in Tera2 mode.
    LVL:0 RC:0 IMG_FRONTEND :configure_displays: 1 display(s) initially reported!
    LVL:2 RC:0 IMG_FRONTEND :configure_displays: (1) single display[0]: pos:(0, 0) w: 1024, h: 768, bpp: 32
    LVL:0 RC:0 IMG_FRONTEND :configure_display[0]--* id: 48 mon_id: 0 pos: (0,0) w: 1024 h: 768
    LVL:0 RC:0 IMG_FRONTEND :configure_display[0]--bpp: 32 --pitch: 4096 --map size: 1552 --fb size: 3145728
    LVL:0 RC:0 IMG_FRONTEND :configure_display[0]--rot: 0 --pre-rot pitch: 4096 --frontend motion is enabled
    LVL:0 RC:0 EXTERN :svga_devtap ==> second render failed: 0xc0000008
    LVL:0 RC:0 EXTERN :svga_devtap ==> Error: screen dma failed
    LVL:0 RC:0 IMG_FRONTEND :flip_frame_buffer: General flip error [1 results for 1 displays]: [4001, 0]
    LVL:0 RC:-500 IMG_FRONTEND :open_displays(): Flip error in open display first flip.
  • Dieses Problem tritt auf, weil der zusammen mit VMware Tools installierte Videotreiber nicht mit älteren Versionen von View Agent kompatibel ist.

    Problemumgehung: Um dieses Problem zu beheben, folgen Sie einer der nachstehenden für Sie geeigneten Empfehlungen.

    • Die Installation von VMware Tools 10.0.0 oder höher ist nicht zu empfehlen für Benutzer, die eine ältere Version als Horizon View Agent Version 6.2 verwenden.
    • Installieren Sie die aktuellste Version von Horizon View Agent 6.2. Falls View Agent 6.2 nicht installiert werden kann, können Sie alternativ zuerst die installierten Versionen von View Agent und VMware Tools entfernen und dann eine ältere Version von VMware Tools gefolgt von der erforderlichen Version von View Agent installieren.

  • Das Gastbetriebssystem Mac OS X zeigt nur eine Auflösung in den Monitoreinstellungen an
    Virtuelle Maschinen mit Mac OS X 10.9 oder höher bieten nur eine Auflösung (z. B. 1024x768) unter Systemeinstellungen > Monitore an.

    Problemumgehung: Nach der Installation von VMware Tools kann mit dem folgenden Befehl eine benutzerdefinierte Auflösung im Gastbetriebssystem festgelegt werden:

    sudo '/Library/Application Support/VMware Tools/vmware-resolutionSet' <Breite> <Höhe>

    Hinweis: Der Befehl kann auch ohne „sudo“ verwendet werden. Allerdings ist dann die benutzerdefinierte Auflösung nach dem Neustart des Gastbetriebssystems nicht mehr gültig.
    Wenn die effektive Auflösung kleiner als angefordert ist, finden Sie unter KB 1003 Erläuterungen zur Erhöhung des Videospeichers der virtuellen Maschine.

  • Auf Ubuntu 15.10-Gastbetriebssystemen führt der Austausch von open-vm-tools mit der im Paket enthaltenen VMware Tools-Version eventuell dazu, dass VMware Tools nicht mehr korrekt funktioniert
    Wenn Sie auf dem Ubuntu 15.10-Gastbetriebssystem open-vm-tools mit der im Paket von VMware Workstation 11.1.3 und VMware Fusion 7.1.3 enthaltenen VMware Tools-Version ersetzen, funktioniert VMware Tools nicht mehr wie erwartet. Nach dem Neustart des Systems wird eventuell ein Ubuntu-Absturzbericht angezeigt und einer der Dienste in VMware Tools funktioniert nicht mehr.
  • Problemumgehung: Verwenden Sie einen der folgenden Workarounds, je nachdem welcher für Ihre Situation am besten geeignet ist.

    • Verwenden Sie weiterhin open-vm-tools. Verwenden Sie nicht mehr die im Paket enthaltenen VMware Tools
    • Wenn die im Paket enthaltenen VMware Tools installiert sind, führen Sie folgende Schritte aus:
        1. Bearbeiten Sie die Datei /etc/vmware-tools/vmware-user.desktop als Root-Benutzer und ändern Sie die folgende Zeile:
          Exec=/usr/bin/vmware-user
          in:
          Exec=env VMWARE_USE_SHIPPED_LIBS=1 /usr/bin/vmware-user
        2. Melden Sie sich vom Gastbetriebssystem ab und danach wieder an.
          Mit dieser Änderung wird eventuell ein Fehler des VMware Tools-Dienstes (vmtoolsd) verhindert.
        3. Um sicherzustellen, dass die vorherigen Schritte wirksam waren, geben Sie folgenden Befehl ein:
          'ps -aux | grep vmtools'
          Die dazugehörige Befehlsrückgabe zeigt die Ausführung der beiden folgenden vmtoolsd-Dienste an:
          -/usr/sbin/vmtoolsd
          -/usr/lib/vmware-tools/sbin64/vmtoolsd


  • Der Status der IPv6-Adresse wird als „unknown“ angegeben
    Der Status der IPv6-Adresse von vim-cmd wird als „unknown“ angezeigt, auch wenn die Adresse gültig ist.
  • Problemumgehung: Keiner.

  • Beim Kopieren und Einfügen von Text zwischen Host und Gastbetriebssystemen tritt ein Fehler auf
    Das Kopieren und Einfügen von Text zwischen Host und Gastbetriebssystemen ist nicht möglich, wenn die Textgröße 50 KB oder mehr beträgt.
  • Problemumgehung: Verwenden Sie für das Kopieren und Einfügen kleinere Textblöcke.

  • Die Installation der VMware Tools auf Windows 2000 Professional SP4 wird mit einer Fehlermeldung abgebrochen
    Bei der Installation von ThinPrint-Treibern auf Windows 2000 Professional SP4 mit VMware Tools 10.0.5 tritt ein Fehler mit einer entsprechenden Meldung auf.

  • Problemumgehung: Um dieses Problem zu beheben, folgen Sie einer der nachstehenden für Sie geeigneten Empfehlungen.

    • Benutzern mit installiertem ThinPrint wird empfohlen, die VMware Tools nicht auf die Version 10.0.5 zu aktualisieren.
    • Benutzern ohne installiertem ThinPrint wird empfohlen, ThinPrint nicht mit VMware Tools 10.0.5 zu installieren.

  • Die Verwendung der Clobber-Option bei der Installation der VMware Tools auf Linux-Gastbetriebssystemen ist eventuell nicht möglich
    Die Verwendung der Clobber-Option bei der Installation von VMware Tools auf Linux-Gastsystemen ist eventuell nicht möglich, wenn die virtuelle Maschine gestartet wird.
  • Problemumgehung: Um dieses Problem zu beheben, verwenden Sie Upstream-Treiber des Linux-Kernels.

  • Die Definition des Feldes ipAddress in GuestInfo ist mehrdeutig
    Das Feld ipAddress ist definiert als „Primäre dem Gastbetriebssystem zugewiesene IP-Adresse, wenn bekannt“.

  • Problemumgehung: Das Feld ipAddress im Linux-Kontext ist definiert als die erste IP-Adresse, die von den VMware Tools abgerufen wird.

  • Die erneute Installation der VMware Tools wird in VMware Fusion nach der Installation des Gastbetriebssystems deaktiviert
    In VMware Fusion wird die Menüoption „VMware Tools neu installieren“ nach der Installation des Windows XP SP3- und des SUSE Linux Enterprise Desktop 12-Gastbetriebssystems deaktiviert.
  • Hinweis: Dieses Problem tritt eventuell nur auf einigen und nicht auf allen Hosts auf.

    Problemumgehung: Zur Behebung dieses Problems fahren Sie die virtuelle Maschine herunter und starten Sie diese neu.

  • Nach der Installation von VMware Tools 10.0.5 auf einer virtuellen Maschine mit FreeBSD 10.x wird der Gast möglicherweise nicht ordnungsgemäß heruntergefahren, wenn dies über die Benutzeroberfläche von Workstation Pro oder Fusion durchgeführt wird
    Wenn Sie VMware Tools 10.0.5 auf einer virtuellen Maschine mit FreeBSD 10.x installieren, wird der VMware Tools-Service vmtoolsd möglicherweise nicht gestartet. vmtoolsd wird im Hintergrund ausgeführt und ist für eine Vielzahl von Vorgängen zuständig. Ein mögliches Symptom besteht darin, dass das Gastbetriebssystem eventuell nicht wie beabsichtigt heruntergefahren wird, wenn dies über die Benutzeroberfläche von Workstation Pro oder Fusion durchgeführt wird. Beispielsweise schlägt möglicherweise der erste Versuch, den Gast herunterzufahren, fehl, während der zweite Versuch über die Benutzeroberfläche dazu führt, dass die virtuelle Maschine einfach ausgeschaltet statt ordnungsgemäß heruntergefahren wird.

    Problemumgehung: Verwenden Sie die Version von VMware Tools, die Teil einer früheren Version von Workstation Pro oder Fusion ist.